DKBSignDocs

API reference

POSTRequires Bearer token

Upload a document

/api/edm/documents

Multipart. folder_id is required. metadata is a JSON object string; tags is a JSON array or CSV.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

Send as multipart/form-data.

FieldTypeDescription
file
Required
stringDocument file.
e.g. "example"
folder_id
Required
stringDestination folder UUID.
e.g. "uuid_or_id"
typology_id
stringTypology UUID.
name
stringDisplay name (defaults to the file name).
e.g. "Contract 2026.pdf"
status
stringInitial status (default draft).
e.g. "draft"
metadata
stringJSON object of business metadata.
e.g. "{\"consent\":\"GDPR\"}"
tags
stringJSON array or comma-separated tags.
e.g. "client-x,urgent"
client_ref
stringClient reference.
contract_ref
stringContract reference.
transaction_ref
stringTransaction reference.

Responses

StatusMeaning
201Uploaded
401Missing or invalid Bearer token.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/edm/documents' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Accept: application/json' \
  -F 'file=example' \
  -F 'folder_id=uuid_or_id' \
  -F 'typology_id=uuid_or_id' \
  -F 'name=Contract 2026.pdf' \
  -F 'status=draft' \
  -F 'metadata={"consent":"GDPR"}' \
  -F 'tags=client-x,urgent' \
  -F 'client_ref=client_ref' \
  -F 'contract_ref=contract_ref' \
  -F 'transaction_ref=transaction_ref'

Response 201

json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "org_id": "1",
  "folder_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
  "typology_id": null,
  "name": "Contract 2026.pdf",
  "status": "draft",
  "size_bytes": 1048576,
  "mime_type": "application/pdf",
  "owner_user_id": "4",
  "metadata": {},
  "tags": [
    "client-x"
  ],
  "legal_hold": false,
  "version_count": 1,
  "sealed_at": null,
  "created_at": "2026-03-01T10:00:00Z",
  "updated_at": "2026-03-01T10:00:00Z"
}